--- old/usr/src/man/man7i/dkio.7i	Wed Sep 25 13:05:46 2019
+++ new/usr/src/man/man7i/dkio.7i	Wed Sep 25 13:05:46 2019
@@ -17,52 +17,46 @@
 .\"
 .\" Copyright (c) 2009 Sun Microsystems, Inc. All Rights Reserved.
 .\" Copyright 2016 Nexenta Systems, Inc.
+.\" Copyright (c) 2017, Joyent, Inc.
 .\"
-.TH DKIO 7I "Oct 8, 2016"
-.SH NAME
-dkio \- disk control operations
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/dkio.h>
-#include <sys/vtoc.h>
-.fi
-
-.LP
-.nf
-\fB\fR
-.fi
-
-.SH DESCRIPTION
-.LP
-Disk drivers support a set of \fBioctl\fR(2) requests for disk controller,
-geometry, and partition information. Basic to these \fBioctl()\fR requests are
-the definitions in \fB<sys/dkio.h>\fR\&.
-.SH IOCTLS
-.LP
-The following \fBioctl()\fR requests set and/or retrieve the current disk
+.Dd October 23, 2017
+.Dt DKIO 7I
+.Os
+.Sh NAME
+.Nm dkio
+.Nd disk control operations
+.Sh SYNOPSIS
+.In sys/dkio.h
+.In sys/vtoc.h
+.Sh DESCRIPTION
+Disk drivers support a set of
+.Xr ioctl 2
+requests for disk controller, geometry, and partition information.
+Basic to these
+.Xr ioctl 2
+requests are the definitions in
+.In sys/dkio.h .
+.Sh IOCTLS
+The following
+.Xr ioctl 2
+requests set and/or retrieve the current disk
 controller, partitions, or geometry information on all architectures:
-.sp
-.ne 2
-.na
-\fB\fBDKIOCINFO\fR\fR
-.ad
-.sp .6
-.RS 4n
-The argument is a pointer to a \fBdk_cinfo\fR structure (described below). This
-structure tells the controller-type and attributes regarding bad-block
+.Bl -tag -width 1n
+.It Dv DKIOCINFO
+.Pp
+The argument is a pointer to a
+.Vt dk_cinfo
+structure (described below).
+This structure tells the controller-type and attributes regarding bad-block
 processing done on the controller.
-.RE
-
-.sp
-.in +2
-.nf
+.Bd -literal -offset 2n
 /*
  * Structures and definitions for disk I/O control commands
  */
 #define DK_DEVLEN 16   /* device name max length, */
                        /* including unit # and NULL */
-                       /* Used for controller info */
+
+/* Used for controller info */
 struct dk_cinfo {
      char      dki_cname[DK_DEVLEN];    /* controller name */
                                         /* (no unit #) */
@@ -79,12 +73,11 @@
      ushort_t  dki_partition;           /* partition number */
      ushort_t  dki_maxtransfer;         /* maximum transfer size */
                                         /* in DEV_BSIZE */
-
      };
+
      /*
       * Controller types
       */
-
      #define DKC_UNKNOWN      0
      #define DKC_CDROM        1         /* CD-ROM, SCSI or other */
      #define DKC_WDC2880      2
@@ -114,57 +107,48 @@
      /*
       * Flags
       */
-
      #define DKI_BAD144       0x01          /* use  DEC  std  144  */
                                             /* bad  sector fwding */
      #define DKI_MAPTRK       0x02          /* controller does */
                                             /* track mapping */
      #define DKI_FMTTRK       0x04          /* formats only  full
-                                            /* track at a time*/
+                                            /* track at a time */
      #define DKI_FMTVOL       0x08          /* formats only full */
-                                            /* volume at a time*/
+                                            /* volume at a time */
      #define DKI_FMTCYL       0x10          /* formats only full */
-                                            /* cylinders at a time*/
-     #define DKI_HEXUNIT      0x20          /* unit number printed as */
-                                            /* 3 hexdigits */
+                                            /* cylinders at a time */
+     #define DKI_HEXUNIT      0x20          /* unit number printed */
+                                            /* as 3 hexdigits */
      #define DKI_PCMCIA_PFD   0x40          /* PCMCIA pseudo-floppy */
                                             /* memory card */
-.fi
-.in -2
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCGAPART\fR\fR
-.ad
-.sp .6
-.RS 4n
-The argument is a pointer to a \fBdk_allmap\fR structure (described below).
-This \fBioctl()\fR gets the controller's notion of the current partition table
+.Ed
+.It Dv DKIOCGAPART
+.Pp
+The argument is a pointer to a
+.Vt dk_allmap
+structure (described below).
+This
+.Xr ioctl 2
+gets the controller's notion of the current partition table
 for disk drive.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCSAPART\fR\fR
-.ad
-.sp .6
-.RS 4n
-The argument is a pointer to a \fBdk_allmap\fR structure (described below).
-This \fBioctl()\fR sets the controller's notion of the partition table without
+.It Dv DKIOCSAPART
+.Pp
+The argument is a pointer to a
+.Vt dk_allmap
+structure (described below).
+This
+.Xr ioctl 2
+sets the controller's notion of the partition table without
 changing the disk itself.
-.RE
-
-.sp
-.in +2
-.nf
+.Bd -literal -offset 2n
 /*
  * Partition map (part of dk_label)
- */ struct dk_map {
+ */
+struct dk_map {
      daddr_t dkl_cylno;     /* starting cylinder */
      daddr_t dkl_nblk;      /* number of blocks */
-     };
+};
+
 /*
  * Used for all partitions
  */
@@ -171,100 +155,87 @@
 struct dk_allmap {
     struct dk_map    dka_map[NDKMAP];
 };
-.fi
-.in -2
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCGGEOM\fR\fR
-.ad
-.RS 14n
-The argument is a pointer to a \fBdk_geom\fR structure (described below). This
-\fBioctl()\fR gets the controller's notion of the current geometry of the disk
-drive.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCSGEOM\fR\fR
-.ad
-.RS 14n
-The argument is a pointer to a \fBdk_geom\fR structure (described below). This
-\fBioctl()\fR sets the controller's notion of the geometry without changing the
-disk itself.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCGVTOC\fR\fR
-.ad
-.RS 14n
-The argument is a pointer to a \fBvtoc\fR structure (described below). This
-\fBioctl()\fR returns the device's current volume table of contents (VTOC.) For
-disks larger than 1TB, DKIOCGEXTVTOC must be used instead.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCSVTOC\fR\fR
-.ad
-.RS 14n
-The argument is a pointer to a \fBvtoc\fR structure (described below). This
-\fBioctl()\fR changes the VTOC associated with the device. For disks larger
-than 1TB, DKIOCSEXTVTOC must be used instead.
-.RE
-
-.sp
-.in +2
-.nf
+.Ed
+.It Dv DKIOCGGEOM
+.Pp
+The argument is a pointer to a
+.Vt dk_geom
+structure (described below).
+This
+.Xr ioctl 2
+gets the controller's notion of the current geometry of the disk drive.
+.It Dv DKIOCSGEOM
+.Pp
+The argument is a pointer to a
+.Vt dk_geom
+structure (described below).
+This
+.Xr ioctl 2
+sets the controller's notion of the geometry without changing the disk itself.
+.It Dv DKIOCGVTOC
+.Pp
+The argument is a pointer to a
+.Vt vtoc
+structure (described below).
+This
+.Xr ioctl 2
+returns the device's current volume table of contents (VTOC).
+For disks larger than 1TB,
+.Dv DKIOCGEXTVTOC
+must be used instead.
+.It Dv DKIOCSVTOC
+.Pp
+The argument is a pointer to a
+.Vt vtoc
+structure (described below).
+This
+.Xr ioctl 2
+changes the VTOC associated with the device.
+For disks larger than 1TB,
+.Dv DKIOCSEXTVTOC
+must be used instead.
+.Bd -literal -offset 2n
 struct partition {
-ushort_t      p_tag;         /* ID tag of partition */
-ushort_t      p_flag;        /* permission flags */
-daddr_t       p_start;       /* start sector of partition */
-long          p_size;        /* # of blocks in partition */
+    ushort_t      p_tag;         /* ID tag of partition */
+    ushort_t      p_flag;        /* permission flags */
+    daddr_t       p_start;       /* start sector of partition */
+    long          p_size;        /* # of blocks in partition */
 };
-.fi
-.in -2
-
-.sp
-.LP
-If \fBDKIOCSVTOC\fR is used with a floppy diskette, the \fBp_start\fR field
-must be the first sector of a cylinder. To compute the number of sectors per
+.Ed
+.Pp
+If
+.Dv DKIOCSVTOC
+is used with a floppy diskette, the
+.Fa p_start
+field must be the first sector of a cylinder.
+To compute the number of sectors per
 cylinder, multiply the number of heads by the number of sectors per track.
-.sp
-.in +2
-.nf
+.Bd -literal -offset 2n
 struct vtoc {
-unsigned long     v_bootinfo[3];               /* info needed by mboot
-                                               /* (unsupported)*/
-unsigned long     v_sanity;                    /* to verify vtoc */
-                                               /* sanity */
-unsigned long     v_version;                   /* layout version */
-char              v_volume[LEN_DKL_VVOL];      /* volume name */
-ushort_t          v_sectorsz;                  /* sector size in bytes*/
-ushort_t          v_nparts;                    /* number of partitions*/
-unsigned long     v_reserved[10];              /* free space */
-struct partition  v_part[V_NUMPAR];            /* partition headers */
-time_t            timestamp[V_NUMPAR];         /* partition timestamp */
-                                               /* (unsupported) */
-char              v_asciilabel[LEN_DKL_ASCII]; /* compatibility */
+    unsigned long     v_bootinfo[3];        /* info needed by mboot */
+                                            /* (unsupported) */
+    unsigned long     v_sanity;             /* to verify vtoc */
+                                            /* sanity */
+    unsigned long     v_version;            /* layout version */
+    char              v_volume[LEN_DKL_VVOL]; /* volume name */
+    ushort_t          v_sectorsz;           /* sector size in bytes */
+    ushort_t          v_nparts;             /* number of partitions */
+    unsigned long     v_reserved[10];       /* free space */
+    struct partition  v_part[V_NUMPAR];     /* partition headers */
+    time_t            timestamp[V_NUMPAR];  /* partition timestamp */
+                                            /* (unsupported) */
+    char              v_asciilabel[LEN_DKL_ASCII]; /* compatibility */
 };
 
 /*
-* Partition permission flags
-*/
-
+ * Partition permission flags
+ */
 #define V_UNMNT      0x01    /* Unmountable partition */
 #define V_RONLY      0x10    /* Read only */
 
 /*
-* Partition identification tags
-*/
-
+ * Partition identification tags
+ */
 #define V_UNASSIGNED   0x00  /* unassigned partition */
 #define V_BOOT         0x01  /* Boot partition */
 #define V_ROOT         0x02  /* Root filesystem */
@@ -274,213 +245,167 @@
 #define V_VAR          0x07  /* Var partition */
 #define V_HOME         0x08  /* Home partition */
 #define V_ALTSCTR      0x09  /* Alternate sector partition */
-.fi
-.in -2
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCGEXTVTOC\fR\fR
-.ad
-.sp .6
-.RS 4n
-The argument is a pointer to an \fBextvtoc\fR structure (described below). This
-ioctl returns the device's current volume table of contents (VTOC). VTOC is
-extended to support a disk up to 2TB in size. For disks larger than 1TB this
-ioctl must be used instead of \fBDKIOCGVTOC\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCSEXTVTOC\fR\fR
-.ad
-.sp .6
-.RS 4n
-The argument is a pointer to an \fBextvtoc\fR structure (described below). This
-ioctl changes the VTOC associated with the device. VTOC is extended to support
-a disk up to 2TB in size. For disks larger than 1TB this ioctl must be used
-instead of \fBDKIOCSVTOC\fR.
-.sp
-.in +2
-.nf
+.Ed
+.It Dv DKIOCGEXTVTOC
+.Pp
+The argument is a pointer to an
+.Vt extvtoc
+structure (described below).
+This ioctl returns the device's current volume table of contents (VTOC).
+VTOC is extended to support a disk up to 2TB in size.
+For disks larger than 1TB this ioctl must be used instead of
+.Dv DKIOCGVTOC .
+.It Dv DKIOCSEXTVTOC
+.Pp
+The argument is a pointer to an
+.Vt extvtoc
+structure (described below).
+This ioctl changes the VTOC associated with the device.
+VTOC is extended to support a disk up to 2TB in size.
+For disks larger than 1TB this ioctl must be used instead of
+.Vt DKIOCSVTOC .
+.Bd -literal -offset 2n
 struct extpartition {
-ushort_t p_tag;         /* ID tag of partition */
-ushort_t p_flag;        /* permission flags */
-ushort_t p_pad[2];       /* reserved */
-diskaddr_t p_start;      /* start sector no of partition */
-diskaddr_t p_size;       /* # of blocks in partition */
+    ushort_t p_tag;         /* ID tag of partition */
+    ushort_t p_flag;        /* permission flags */
+    ushort_t p_pad[2];      /* reserved */
+    diskaddr_t p_start;     /* start sector no of partition */
+    diskaddr_t p_size;      /* # of blocks in partition */
 };
 
-
 struct extvtoc {
-uint64_t   v_bootinfo[3]; /* info needed by mboot (unsupported) */
-uint64_t   v_sanity;     /* to verify vtoc sanity */
-uint64_t   v_version;    /* layout version */
-char    v_volume[LEN_DKL_VVOL]; /* volume name */
-ushort_t   v_sectorsz;   /* sector size in bytes */
-ushort_t   v_nparts;     /* number of partitions */
-ushort_t   pad[2];
-uint64_t   v_reserved[10];
-struct extpartition v_part[V_NUMPAR]; /* partition headers */
-uint64_t timestamp[V_NUMPAR]; /* partition timestamp (unsupported)*/
-char    v_asciilabel[LEN_DKL_ASCII];    /* for compatibility */
+    uint64_t   v_bootinfo[3]; /* info needed by mboot (unsupported) */
+    uint64_t   v_sanity;      /* to verify vtoc sanity */
+    uint64_t   v_version;     /* layout version */
+    char    v_volume[LEN_DKL_VVOL]; /* volume name */
+    ushort_t   v_sectorsz;    /* sector size in bytes */
+    ushort_t   v_nparts;      /* number of partitions */
+    ushort_t   pad[2];
+    uint64_t   v_reserved[10];
+    struct extpartition v_part[V_NUMPAR]; /* partition headers */
+    uint64_t timestamp[V_NUMPAR]; /* partition timestamp */
+                                  /* (unsupported) */
+    char    v_asciilabel[LEN_DKL_ASCII];    /* for compatibility */
 };
-
+.Ed
+.Pp
 Partition permissions flags and identification tags
 are defined the same as vtoc structure.
-.fi
-.in -2
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCEJECT\fR\fR
-.ad
-.sp .6
-.RS 4n
-If the drive supports removable media, this \fBioctl()\fR requests the disk
-drive to eject its disk.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCREMOVABLE\fR\fR
-.ad
-.sp .6
-.RS 4n
-The argument to this \fBioctl()\fR is an integer. After successful completion,
-this \fBioctl()\fR sets that integer to a non-zero value if the drive in
-question has removable media. If the media is not removable, the integer is set
-to \fB0\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCHOTPLUGGABLE\fR\fR
-.ad
-.sp .6
-.RS 4n
-The argument to this \fBioctl()\fR is an integer. After successful completion,
-this \fBioctl()\fR sets that integer to a non-zero value if the drive in
-question is hotpluggable. If the media is not hotpluggable, the integer is set
-to 0.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCSTATE\fR\fR
-.ad
-.sp .6
-.RS 4n
-This \fBioctl()\fR blocks until the state of the drive, inserted or ejected, is
-changed. The argument is a pointer to a \fBdkio_state\fR, enum, whose possible
-enumerations are listed below. The initial value should be either the last
-reported state of the drive, or \fBDKIO_NONE\fR. Upon return, the enum pointed
+.It Dv DKIOCEJECT
+.Pp
+If the drive supports removable media, this
+.Xr ioctl 2
+requests the disk drive to eject its disk.
+.It Dv DKIOCREMOVABLE
+.Pp
+The argument to this
+.Xr ioctl 2
+is an integer.
+After successful completion, this
+.Xr ioctl 2
+sets that integer to a non-zero value if the drive in
+question has removable media.
+If the media is not removable, the integer is set to
+.Sy 0 .
+.It Dv DKIOCHOTPLUGGABLE
+.Pp
+The argument to this
+.Xr ioctl 2
+is an integer.
+After successful completion, this
+.Xr ioctl 2
+sets that integer to a non-zero value if the drive in question is hotpluggable.
+If the media is not hotpluggable, the integer is set to 0.
+.It Dv DKIOCSTATE
+.Pp
+This
+.Xr ioctl 2
+blocks until the state of the drive, inserted or ejected, is changed.
+The argument is a pointer to a
+.Vt dkio_state ,
+enum, whose possible enumerations are listed below.
+The initial value should be either the last
+reported state of the drive, or
+.Dv DKIO_NONE .
+Upon return, the enum pointed
 to by the argument is updated with the current state of the drive.
-.sp
-.in +2
-.nf
+.Bd -literal -offset 2n
 enum dkio_state {
-DKIO_NONE,          /* Return disk's current state */
-DKIO_EJECTED,       /* Disk state is 'ejected' */
-DKIO_INSERTED       /* Disk state is 'inserted' */
+    DKIO_NONE,          /* Return disk's current state */
+    DKIO_EJECTED,       /* Disk state is 'ejected' */
+    DKIO_INSERTED       /* Disk state is 'inserted' */
 };
-.fi
-.in -2
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCLOCK\fR\fR
-.ad
-.sp .6
-.RS 4n
-For devices with removable media, this \fBioctl()\fR requests the disk drive to
-lock the door.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCUNLOCK\fR\fR
-.ad
-.sp .6
-.RS 4n
-For devices with removable media, this \fBioctl()\fR requests the disk drive to
-unlock the door.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCGMEDIAINFO\fR\fR
-.ad
-.sp .6
-.RS 4n
-The argument to this \fBioctl()\fR is a pointer to a \fBdk_minfo\fR structure.
+.Ed
+.It Dv DKIOCLOCK
+.Pp
+For devices with removable media, this
+.Xr ioctl 2
+requests the disk drive to lock the door.
+.It Dv DKIOCUNLOCK
+.Pp
+For devices with removable media, this
+.Xr ioctl 2
+requests the disk drive to unlock the door.
+.It Dv DKIOCGMEDIAINFO
+.Pp
+The argument to this
+.Xr ioctl 2
+is a pointer to a
+.Vt dk_minfo
+structure.
 The structure indicates the type of media or the command set profile used by
-the drive to operate on the media. The \fBdk_minfo\fR structure also indicates
-the logical media block size the drive uses as the basic unit block size of
-operation and the raw formatted capacity of the media in number of logical
-blocks.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBDKIOCGMEDIAINFOEXT\fR\fR
-.ad
-.sp .6
-.RS 4n
-The argument to this \fBioctl()\fR is a pointer to a \fBdk_minfo_ext\fR
-structure. The structure indicates the type of media or the command set profile
-used by the drive to operate on the media. The \fBdk_minfo_ext\fR structure
+the drive to operate on the media.
+The
+.Vt dk_minfo
+structure also indicates the logical media block size the drive uses as the
+basic unit block size of operation and the raw formatted capacity of the media
+in number of logical blocks.
+.It Dv DKIOCGMEDIAINFOEXT
+.Pp
+The argument to this
+.Xr ioctl 2
+is a pointer to a
+.Vt dk_minfo_ext
+structure.
+The structure indicates the type of media or the command set profile
+used by the drive to operate on the media.
+The
+.Vt dk_minfo_ext
+structure
 also indicates the logical media block size the drive uses as the basic unit
 block size of operation, the raw formatted capacity of the media in number of
 logical blocks and the physical block size of the media.
-.RE
-
-.sp
-.in +2
-.nf
+.Bd -literal -offset 2n
 /*
-* Used for media info or profile info
-*/
+ * Used for media info or profile info
+ */
 struct dk_minfo {
-uint_t dki_media_type; /* Media type or profile info */
-uint_t dki_lbsize; /* Logical blocksize of media */
-diskaddr_t dki_capacity; /* Capacity as # of dki_lbsize blks */
+    uint_t dki_media_type;   /* Media type or profile info */
+    uint_t dki_lbsize;       /* Logical blocksize of media */
+    diskaddr_t dki_capacity; /* Capacity as # of dki_lbsize blks */
 };
 
 /*
-* Used for media info or profile info and physical blocksize
-*/
+ * Used for media info or profile info and physical blocksize
+ */
 struct dk_minfo_ext {
-uint_t dki_media_type; /* Media type or profile info */
-uint_t dki_lbsize; /* Logical blocksize of media */
-diskaddr_t dki_capacity; /* Capacity as # of dki_lbsize blks */
-uint_t dki_pbsize; /* Physical blocksize of media */
+    uint_t dki_media_type; /* Media type or profile info */
+    uint_t dki_lbsize; /* Logical blocksize of media */
+    diskaddr_t dki_capacity; /* Capacity as # of dki_lbsize blks */
+    uint_t dki_pbsize; /* Physical blocksize of media */
 };
 
 
 /*
-* Media types or profiles known
-*/
+ * Media types or profiles known
+ */
 #define DK_UNKNOWN         0x00    /* Media inserted - type unknown */
 
 /*
-* SFF 8090 Specification Version 3, media types 0x01 - 0xfffe are
-* retained to maintain compatibility with SFF8090.  The following
-* define the optical media type.
-*/
+ * SFF 8090 Specification Version 3, media types 0x01 - 0xfffe are
+ * retained to maintain compatibility with SFF8090.  The following
+ * define the optical media type.
+ */
 #define DK_MO_ERASABLE     0x03 /* MO Erasable */
 #define DK_MO_WRITEONCE    0x04 /* MO Write once */
 #define DK_AS_MO           0x05 /* AS MO */
